> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View entity details



## OpenAPI

````yaml get /frontend/entity/{client_id}/{program_id}/{entity_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/entity/{client_id}/{program_id}/{entity_id}/{session_id}:
    get:
      tags:
        - Frontend
      summary: View entity details
      operationId: f13dd37422985f75e0f09b34a4056916
      parameters:
        - name: client_id
          in: path
          description: ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: ID of the program
          required: true
          schema:
            type: integer
        - name: entity_id
          in: path
          description: ID of the entity
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: ID of the session
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Entity details
          content:
            application/json:
              schema:
                properties:
                  title:
                    type: string
                  vars:
                    type: object
                  session_id:
                    type: string
                  entity_id:
                    type: integer
                  entity:
                    type: object
                  client_id:
                    type: integer
                  client:
                    type: object
                  profile:
                    type: object
                  public_fields:
                    type: object
                  program_id:
                    type: integer
                  text_profile:
                    type: string
                  info:
                    type: string
                  donor:
                    type: object
                  profilePic:
                    type: string
                  profilePicThumb:
                    type: string
                  image_links:
                    type: array
                    items:
                      type: object
                  file_links:
                    type: array
                    items:
                      type: object
                  start_date:
                    type: string
                  entity_percent:
                    type: integer
                  entity_info:
                    type: string
                  disable_program_link:
                    type: string
                  payment_options:
                    type: array
                    items:
                      type: object
                  hide_payment_method:
                    type: boolean
                  default_payment_method:
                    type: string
                  display_info:
                    type: boolean
                  display_percent:
                    type: boolean
                  hide_frequency:
                    type: boolean
                  next:
                    type: integer
                  prev:
                    type: integer
                  total:
                    type: integer
                  currency_symbol:
                    type: string
                  already_saved:
                    type: boolean
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                type: object

````